org.tmatesoft.svn.core.wc2.hooks

## Interface ISvnPropertyValueProvider

    public interface ISvnPropertyValueProvider

Implementing this interface allows to define properties to change.

Version:
  1.7
Author:
  TMate Software Ltd.

### Method Summary

Methods
`SVNProperties` `providePropertyValues(java.io.File path, SVNProperties properties)` Defines local item's properties to be installed.

### Method Detail

#### providePropertyValues

    SVNProperties providePropertyValues(java.io.File path,
                                      SVNProperties properties)
                                        throws SVNException

Defines local item's properties to be installed.

Parameters:
  `path` - an working copy item's path
  `properties` - an item's versioned properties
Returns:
  SVNProperties object which stores properties to be installed on an item
Throws:
  `SVNException`